# Class DisplayConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a configuration class for display settings and options.

    public class DisplayConfig

Inheritance
  object
  DisplayConfig

Derived
  DisplayNurse
  PumpDisplay
  SmartDisplay
  StandarDisplay

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class encapsulates the configuration data used to manage display-related properties and behavior.

## Properties

### AlarmFieldList

    public List<Field>? AlarmFieldList { get; set; }

#### Property Value

List<Field>

### CameraStreamType

    public string? CameraStreamType { get; set; }

#### Property Value

string

### CamerasAreActive

    public bool? CamerasAreActive { get; set; }

#### Property Value

bool?

### CanChangeCameraMode

    public bool? CanChangeCameraMode { get; set; }

#### Property Value

bool?

### CardConfig

    public CardConfig? CardConfig { get; }

#### Property Value

CardConfig

### CardConfigId

    public ObjectId? CardConfigId { get; set; }

#### Property Value

ObjectId?

### CardRotatingLayout

    public List<CardRotatingLayout>? CardRotatingLayout { get; set; }

#### Property Value

List<CardRotatingLayout>

### ChartConfig

    public List<ChartConfig>? ChartConfig { get; set; }

#### Property Value

List<ChartConfig>

### ChartConfigIdList

    public List<ObjectId>? ChartConfigIdList { get; set; }

#### Property Value

List<ObjectId>

### ColorConfig

    public ColorConfig? ColorConfig { get; set; }

#### Property Value

ColorConfig

### DetailConfig

    public CardDetailsConfig? DetailConfig { get; }

#### Property Value

CardDetailsConfig

### DetailConfigId

    public ObjectId? DetailConfigId { get; set; }

#### Property Value

ObjectId?

### DisplaySectionIdList

    public List<ObjectId> DisplaySectionIdList { get; set; }

#### Property Value

List<ObjectId>

### DisplaySectionList

    public List<MinimalDisplaySection> DisplaySectionList { get; set; }

#### Property Value

List<MinimalDisplaySection>

### FieldList

    public List<Field> FieldList { get; set; }

#### Property Value

List<Field>

### FormConfig

    public FormConfig? FormConfig { get; set; }

#### Property Value

FormConfig

### GraphLayout

    public GraphLayout? GraphLayout { get; set; }

#### Property Value

GraphLayout

### GroupedFieldList

    public List<GroupedField>? GroupedFieldList { get; set; }

#### Property Value

List<GroupedField>

### HasCameras

    public bool? HasCameras { get; set; }

#### Property Value

bool?

### HasSound

    public bool? HasSound { get; set; }

#### Property Value

bool?

### HeaderConfig

    public HeaderConfig? HeaderConfig { get; set; }

#### Property Value

HeaderConfig

### HomeBanner

    public List<BannerItem>? HomeBanner { get; set; }

#### Property Value

List<BannerItem>

### HomeConfig

    public HomeConfig? HomeConfig { get; set; }

#### Property Value

HomeConfig

### Hospital

    public string? Hospital { get; set; }

#### Property Value

string

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### IsRotationEnabled

    public bool? IsRotationEnabled { get; set; }

#### Property Value

bool?

### MediaFolder

    public string? MediaFolder { get; set; }

#### Property Value

string

### ObservationForIndicator

    public string? ObservationForIndicator { get; set; }

#### Property Value

string

### Pumps

    public bool? Pumps { get; set; }

#### Property Value

bool?

### RequestGroupedFieldList

    public List<GroupedField>? RequestGroupedFieldList { get; set; }

#### Property Value

List<GroupedField>

### SensorList

    public List<Sensor>? SensorList { get; set; }

#### Property Value

List<Sensor>

### Type

    public DisplayConfigEnums.DisplayType Type { get; set; }

#### Property Value

DisplayConfigEnums.DisplayType

## Methods

### MergeConfig(DisplayConfig)

Merges the current display configuration with the provided default configuration, using the current instance's values where they are not null or empty, and falling back to the default configuration values otherwise. Simple nullable properties are merged via null-coalescing assignment, while collection properties are replaced when they are null or empty.

    public virtual DisplayConfig MergeConfig(DisplayConfig defaultConfig)

#### Parameters

`defaultConfig` DisplayConfig

  The default configuration to use as a fallback when the current configuration properties are null or empty.

#### Returns

DisplayConfig

  The current DisplayConfig instance with merged configuration values.